Bug 522769 - ondemand cpufreq governor no longer working properly
Summary: ondemand cpufreq governor no longer working properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 11:10 UTC by Pierre Ossman
Modified: 2010-06-28 14:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:35:53 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2009-09-11 11:10:24 UTC
Something has happened to the ondemand cpufreq governor making it close to useless. It almost never increases the frequency, even when running a core at 98% usage (and it was not a nice:d process).

I've seen this on two F11 machines now, and this used to work just fine with earlier releases.

The scaling itself works nicely as it will occasionally jump up to full speed. Performance also works fine, but the difference between ondemand and powersave is more or less non-existent.

Comment 1 Chuck Ebbert 2009-09-11 17:31:28 UTC
Which kernel version? It works just fine for me with 2.6.30.5-43 on an AMD notebook...

Comment 2 Pierre Ossman 2009-09-11 18:15:01 UTC
Might be a Intel problem. This machine is a Core 2 laptop with the 2.6.30.5-43.fc11.x86_64 kernel. The other machine is a Core 2 workstation with 2.6.29.6-217.2.16.fc11.x86_64.

Comment 3 Chuck Ebbert 2009-09-11 21:03:37 UTC
You can try changing UP_THRESHOLD in /etc/sysconfig/cpuspeed and see if that helps.

Comment 4 Pierre Ossman 2009-09-11 21:38:24 UTC
I did fiddle with /sys/devices/system/cpu/cpu0/cpufreq/ondemand/up_threshold without any real improvement. And I guess UP_THRESHOLD does nothing more than that.

If I'm not mistaken, the threshold used to be 80, not 95 as it is now. I don't remember what the other settings used to be though.

Comment 5 Chuck Ebbert 2009-09-14 00:25:20 UTC
Does it go to full speed if you start more than one cpu-intensive process?

Comment 6 Chuck Ebbert 2009-09-15 05:54:58 UTC
I am hitting this on a four-processor AMD machine, where starting just one process that uses 100% of one CPU does not cause a speed increase.

Comment 7 Pierre Ossman 2009-09-22 14:25:07 UTC
Hmm... this might be a case of the kernel now lying to userspace. I see a frequency change on the second core on these systems, but these processors are to my knowledge not capable of changing the freq of just one core.

Comment 8 Bug Zapper 2010-04-28 10:17:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-06-28 14:35:53 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.